/**==========================================================================
Hochschule Luzern - Technik & Architektur            Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                              http://hslu.ximit.ch
-----------------------------------------------------------------------------
Name        : Uebung_1-6.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-23v1.0
Description : Grsster gemeinsamer Teiler (ggT) mit while Schlaufe
===========================================================================*/

#include <stdio.h>
#include <stdlib.h>

/**
* Berechnet den GGT von zwei Zahlen
* @param a erste Zahl
* @param b zweite Zahl
*/
int ggT(int a, int b);

/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{
	int ersteZahl, zweiteZahl, ggtZahl;

	printf("Erste Zahl: ");
	scanf("%d", &ersteZahl);
	printf("Zweite Zahl: ");
	scanf("%d", &zweiteZahl);

	ggtZahl = ggT(ersteZahl, zweiteZahl);
	printf("GGT von %d und %d ist: %d\n", ersteZahl, zweiteZahl, ggtZahl);
	
	fflush(stdin); //flushes the input stream and gets rid of '\n'
	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}

int ggT(int a, int b)
{
	while (a != b) {
		if (a > b) {
			a -= b;
		}
		else {
			b -= a;
		}
	}
	return a;
}