/**==========================================================================
Hochschule Luzern - Technik & Architektur            Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                              http://hslu.ximit.ch
-----------------------------------------------------------------------------
Name        : Uebung_1-7.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-23v1.0
Description : Wrter Zhlen
              Trennzeichen: ' ' (space), '\t' (tab) und '\n' (enter)
===========================================================================*/

#include <stdio.h>
#include <stdlib.h>

#define IN 1
#define OUT 2

/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{
	int c; // current Char
	int counter = 0; // Word Counter
	int state = OUT; // In or Out

	while ((c = getchar()) != EOF)
	{
		if ((c == ' ') || (c == '\t') || (c == '\n'))
		{
			state = OUT;
		}
		else if (state == OUT)
		{
			state = IN;
			counter++;
		}
	}
	printf("Anzahl Woerter: %d\n", counter);

	
	fflush(stdin); //flushes the input stream and gets rid of '\n'
	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}

